<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Kpgp::UserID</name>
    <filename>classKpgp_1_1UserID.html</filename>
    <member kind="function">
      <type></type>
      <name>UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>4b0bf748a1b1268ccb378ba0c561dcad</anchor>
      <arglist>(const QString &amp;str, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>ec3a9b703b25943be5b8518acc7f69b2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>7bd011db26b751dbcb73a48e5faabe1c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>87dbe981bb92d6cfdbc08ba66ced42b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>validity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>b1f6eb9a6c8a5f6dc6d96f5336d2d5ab</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>a0133f362c130e12445b715bfb4dc5f5</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>953ba47b0d3b851ed74ee213073f2676</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>776a01517cd7460018341834fe17b8ca</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>267fe61162401407c9af317589d9327e</anchor>
      <arglist>(const Validity validity)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>8975922cfff3f3cb046ed492d3beb6ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>5e5818b08594e1a8ac4c89ab907ec405</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Validity</type>
      <name>mValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>d7680e165e0152093474f728daaba7af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>c1e13f731d8efeedd3f8ef9f680b5351</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Subkey</name>
    <filename>classKpgp_1_1Subkey.html</filename>
    <member kind="function">
      <type></type>
      <name>Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>4a0d7fae985dd1caf286f52e87e06e1c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>173c2a81219cfd907e5e4c329b06fd00</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>135c33ffd241091c9c265acb85a876a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>9a36cc4daf08866fe9c1f18bd4a61c5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>20df202f6ec8d6687b39c3f7b35d18dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>37be8de2afc857b08c927205c8a22f3a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>1ad6cc448ab49a8e6d24b0e03ca0d936</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>6b494954574a741c5a14a99458d69ec6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>af6e0760f9e29a59dd84e97a0dfa9e1a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>febb37594e91f8c71484953e3aa4abe2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ee1a72cfae784ec9c1ec1ececc0ffd2a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>longKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>70f48020f98be2903e41475732b2f77c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>keyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>4169ebfa68e549e577b99005acf518e1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>fingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>83d437d6f99943d67053bfaa7cbe860a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>868b8ddfa828686541489519194c75fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>expirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>9f2af8fee29b3053fde2219440d15104</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0d2ae833901945891e10c5157e2b81a2</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>2f8b4ed30f3d9c32fbd9da3531f2a5b8</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>794b6394295da947e3a57d4804b34c28</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>2a6a430f8b0971b610d2f637a061f910</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>bd3dc8d2fa22b7ab41004202c075f83d</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>5411d5086048cbe865b159c5aa6c905a</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>656d74041c13b493300b57b29d1fa691</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>33a4f9f3c43a1526363c96539bd16d12</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>43405028147065497aed93250b6f90a9</anchor>
      <arglist>(const unsigned int keyAlgo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>4f704202538efa058355734054b5994b</anchor>
      <arglist>(const unsigned int keyLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>cf8065480a2f4dcb1b2b868617723897</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8ef232a60046405cef6f0ee771156250</anchor>
      <arglist>(const QCString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>d40a4cd6fc05a0e8767fbe7d49dddd51</anchor>
      <arglist>(const time_t creationDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>eca531b253fa20e9a638283369f0d430</anchor>
      <arglist>(const time_t expirationDate)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>1db0e851158c66a4c3c357fc9b8c02c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>d8303872737ecf52ec3059759c02ce72</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>940e7c298e25652f91e8ee2eed320da1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8bdeba5217d0a2bdc8e564fcb6f47df6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0539c31824e92f7a35bf9c4556910e03</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>41919a5f0a3c8e3539b2ee541e47c87a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>cc55fcb5787d70a8f09fbcd5296e5194</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>b1daed13ea0d4f82baf10159d1c128f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyAlgo</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>c481ff7e3590402b610e47fd9e562b99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyLen</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>6dd87c85ce62da9daf877cc41ca320d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyID</type>
      <name>mKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>329a5bf83ad98d1f272e333fbb3328ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>f6efdfb3516f631ecad01bd8f64b2b98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mTimestamp</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a1d795979d8d79bec1f75476f0fbc1b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mExpiration</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a367685e957cf7fd1fae3e825a47c2a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Key</name>
    <filename>classKpgp_1_1Key.html</filename>
    <member kind="function">
      <type></type>
      <name>Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>d848b590c1fe097f23eff6b243978f91</anchor>
      <arglist>(const KeyID &amp;keyid=KeyID(), const QString &amp;uid=QString::null, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f35203c2964cc14d9814b139dd0e2768</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>47550c1377abed91de9167dedc3767e6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ee5a21c196f0a18cfb5662d6a7eb6a09</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>dc043ac9bf4c143cb0cf4656fe7df711</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>9b49b60bc0168b82f94a3e706c9e199a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>d8d4b79a778a89a6047b14297bbc5b96</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>653d29690790120b90d06c8da06b2aeb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>b4b140e5e5fa717be882eeeea8ae8b59</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>81c9b1ea81753b2fc114aa3119c234cc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>3cd64c4a8ae324a8382050df77bf4869</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e734177a6d5a8f65a32668e0a988b579</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e9fb78dcb3d5f7a1b17b984e00e57fe3</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ed47de6b2013c6024174885c4c9f7187</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>5050e9804070f5f6a6346e590e39b31e</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>7c1e0187a0853efca290700046e218bc</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>adf81966c3a7cf5bc243041ca136801e</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ce206302a33956db69c2bcc55b8bcf8c</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ce3391e101c90b66f16eafa4a4c3638a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>aa1986387d3466f1c359451b94a69f33</anchor>
      <arglist>(const EncryptPref encrPref)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>primaryUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>56da6b26551845ece29869a968e58cf9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>primaryKeyID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>eb04790ca5a95622884c30f430c6b828</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>primaryFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>518d491b73a46cda46354c847dff99f6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a1fb7711e7f8b965d4860c705cf0bef9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>cf6542fb367d0a996f639d86e8b0d55b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>46725aeda1f7d17de8f6648b7943c282</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>0822e293769940a9d1d9da46caf304d0</anchor>
      <arglist>(const QString &amp;uid) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cloneKeyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>b9967abc22456500a6dfdfe043bc4aaf</anchor>
      <arglist>(const Key *key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e997bd07f026d07afc1fffb884c36170</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidEncryptionKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>2ad8a7955d0ba6faee19dcea990d174f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSigningKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>c8e2d8330c0e44c514c8308f408d143d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const UserIDList</type>
      <name>userIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>51a503fa08c9179647b1dba2c46454ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const SubkeyList</type>
      <name>subkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>4e3131a3480067a33a6583c4c4198e7e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a59b7570536dd1f449fa519b1d3626e4</anchor>
      <arglist>(const QString &amp;uid, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>48d0a19a02556f604d968822dbf75cda</anchor>
      <arglist>(const UserID *userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f2b319b3d50ef9f02b1a907956bafcc5</anchor>
      <arglist>(const QString &amp;str, bool cs=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>cf1b5e7846cbe15faf57be7168ec3d1c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>2d44956faf2cb23a171c35540ee60155</anchor>
      <arglist>(const Subkey *subkey)</arglist>
    </member>
    <member kind="function">
      <type>Subkey *</type>
      <name>getSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f520d70766bd34cd3f3bd51c6af3f8ba</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>56a0b9d0d73e0cff0d33d7b8a74cc471</anchor>
      <arglist>(const KeyID &amp;keyID, const QCString &amp;fpr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>936b9689f6b9e9693e513c82b243fdd8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>881ed8b39c8da414c6ce37dc1fbca3e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>3569cfbf062e086a4a0f44df75fb46f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>bd01bbe464a2322b17db8a11db2c1ae2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>8ac3db43cedd82fcec2d9a59f236b4cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>25168970f22953fdb9bf30880fbc3e6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>b1b34d5142df644b78b2757284e0406f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>76d2015b77909ec7b130a5c89fe98ba7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>EncryptPref</type>
      <name>mEncryptPref</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e18cc82ce9f1de6676b6d617bf4b06e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SubkeyList</type>
      <name>mSubkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>efc5f06ae469882456a002ae926b5d49</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>UserIDList</type>
      <name>mUserIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a6991b8489d5280481b121a61a28172f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PassphraseDialog</name>
    <filename>classKpgp_1_1PassphraseDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PassphraseDialog</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>f8dc785776b5b51cc1ed085aa0b4e016</anchor>
      <arglist>(QWidget *parent=0, const QString &amp;caption=QString::null, bool modal=true, const QString &amp;keyID=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>passphrase</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>071b728f94f271196e72631ecf175995</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Config</name>
    <filename>classKpgp_1_1Config.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>5a9d831444566177a17766675a23a550</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Config</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>b9a52f8b4a14b583d38760f3c487f985</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool encrypt=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setValues</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>2d2605527e331af7d81cad142dadf941</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applySettings</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>cf65128d86dd93d04b9711bda49d25b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QGroupBox *</type>
      <name>optionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>99878f564c1183f3a298652c6b177890</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Module *</type>
      <name>pgp</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>84ada7113b2cf5a62aae95d14d399f39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>storePass</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>b1dac617ea97cf5b987f7ac8c8ff4f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>encToSelf</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>38e6498cda198432e0ece965d42e0d4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showCipherText</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>89149d1aefd2114d169940e8738c615a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>a1caf1b785434c96efecec9327a1341c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>toolCombo</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>09a5bf572c32bb16ec0cf1a3bb7c40d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mpOptionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>92720b1e7778255e0b4646d8c85098eb</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
